<div class="main">
  <form class='form' name="form" fxLayout="column" fxLayoutAlign="space-around stretch">

    <md-radio-group name="role" [(ngModel)]="roleChoice" fxLayout="row" fxLayoutAlign="start center">
      <md-radio-button [value]="roles[0]">
        User is Hungry
      </md-radio-button>
      <md-radio-button [value]="roles[1]">
        User is Chef
      </md-radio-button>
      <md-radio-button [value]="roles[2]">
        User is Admin
      </md-radio-button>
    </md-radio-group>

    <div fxLayout="row" fxLayoutAlign="space-around center">

      <div class='cell'>
        <md-input-container>
          <input mdInput type="text" name="firstname" autocomplete="off" placeholder="First Name" [(ngModel)]="user.firstName">
        </md-input-container>
      </div>

      <div class='cell'>
        <md-input-container>
          <input mdInput type="text" name="lastname" autocomplete="off" placeholder="Last Name" [(ngModel)]="user.lastName">
        </md-input-container>
      </div>

      <div class='cell'>
        <md-input-container>
          <input mdInput type="text" name="email" autocomplete="off" placeholder="Email address" [(ngModel)]="user.email" (keyup)="confirmEmail()"
            required>
          <md-hint *ngIf="errors.email === -1">{{ validationMessages.email.pattern }}</md-hint>
          <md-error *ngIf='!cleanForm'>{{ validationMessages.email.required }}</md-error>
        </md-input-container>
      </div>

    </div>

    <div fxLayout="row" fxLayoutAlign="space-around center">

      <div class='cell'>
        <md-input-container>
          <input mdInput type="password" name="password" autocomplete="off" placeholder="Password" [(ngModel)]="user.password" (keyup)="confirmPassword()"
            required>
          <md-hint *ngIf="errors.password === -1">{{ validationMessages.password.minlength }}</md-hint>
          <md-error *ngIf='!cleanForm'>{{ validationMessages.password.required }}</md-error>
        </md-input-container>
      </div>

      <div class='cell'>
        <md-input-container>
          <input mdInput type="password" name="confirm" autocomplete="off" placeholder="Confirm Password" [(ngModel)]="confirm" (keyup)="confirmPassword()"
            required>
          <md-hint *ngIf="errors.confirm === -1">{{ validationMessages.repeat.validateEqual }}</md-hint>
          <md-error *ngIf='!cleanForm'>{{ validationMessages.repeat.required }}</md-error>
        </md-input-container>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" class='cell'>
        <button md-raised-button type="button" (click)="submit()" class="create" [disabled]="loading || !buttonAvailable()" class='red-button'>
          <span *ngIf='!loading'>Create user</span>
          <app-spinner *ngIf='loading' [small]="true"></app-spinner>
        </button>
      </div>

    </div>

    <div fxLayout="row" fxLayoutAlign="space-between center" class='bottom-line'>
      <p class='hint'>Must be at least 6 characters</p>
      <p class='terms'>By clicking Create Account, I agree to the<a (click)='termsService.showTerms()'>Terms of Service</a> and <a (click)='termsService.showPolicy()'>Privacy Policy</a>.</p>
    </div>

  </form>

</div>
